<?php 
	#############################################################
	#	WEATHER34 by BRIAN UNDERDOWN 2015-21                                                        
	#	CREATED FOR WEATHER34 AURORA MKII              	 										 
	#   		
	# 	Released: September 2020   REVISED September 2021                   			           
	# 	     Purple Air                                                                                          
	#   weather34 	                                                                   
	#############################################################
include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}

// Purple Air Sensor data revised November 2020
//\"v\":1.07, // Real time or current PM2.5 Value
//\"v1\":1.3988595758168765, // Short term (10 minute average)
//\"v2\":10.938131480857114, // 30 minute average
//\"v3\":15.028685608345926, // 1 hour average
//\"v4\":6.290537580116773, // 6 hour average
//\"v5\":1.8393146177050788, // 24 hour average
$json  = file_get_contents("jsondata/purpleair.txt");
$array = json_decode( $json, true );for ( $i = 0; $i < sizeof( $array['results'] ); $i++ ) {$array['results'][ $i ]['Stats'] = json_decode( $array['results'][ $i ]['Stats'], true );}
$weather34pm25a    = $array['results'][0]['pm2_5_cf_1'];
$weather34pm25b    = $array['results'][1]['pm2_5_cf_1'];
$aqiweather["pm10"]      = $array['results'][1]['pm10_0_atm'];
$aqiweather["pm25"]      = $array['results'][1]['pm2_5_atm'];
$humidity = $array['results'][0]['humidity']; 
$aqiweather["label"] = $array['results'][0]['Label'];
$aqiweather["positioned"] = $array['results'][0]['DEVICE_LOCATIONTYPE'];//indoor or outside
$aqiweather["voc"]=$array['results'][1]['Voc']; 
$sensor24h  = $array['results'][0]['Stats']['v5'];
$sensor1h  = $array['results'][0]['Stats']['v3'];
$sensor6h  = $array['results'][0]['Stats']['v4'];
$aqiweather["aqi1h"]= number_format($sensor1h,1);
$aqiweather["aqi6h"]= number_format($sensor6h,1);
$aqiweather["time2"]=$array['results'][1]['LastSeen']; 
$aqiweather["time"]= date($timeformat, $aqiweather["time2"]); 

$aqiweather["aqindex"]      = number_format(pm25_to_aqi(($weather34pm25a + $weather34pm25b ) / 2), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
$a=""; if ($aqiweather["aqindex"] ==$a) {$aqiweather["aqindex"] = "0" ;}
$aqiweather["pm25"]=number_format($aqiweather["pm25"],1);
$aqiweather["pm10"]=number_format($aqiweather["pm10"],1);
if ($aqiweather["aqindex"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqindex"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqindex"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqindex"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqindex"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqindex"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqindex"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

 ?>
<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
<alamanacword>Purple Air Quality Data </alamanacword>

<ul class="grid-containeralmcharts">
<li><iframe  class="charttempmodule3"  src="weather34charts/todaypurple-air-qualitychart.php" frameborder="0" scrolling="no" ></iframe>
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/todaypurple-air-airqualitychartb.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/monthpurpleairmodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/monthpurpleairmodulechart2p.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/yearpurpleairmodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/yearpurpleairmodulechart2p.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>





<li>
<div style="margin-top:30px;margin-left:0px;">
<div class="almanac"><div class="almanac-content">
<?php  //Current EPA
echo "<valuetextheading1>Current Air Quality (EPA)</deepblue></valuetextheading1><br>";   
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqindex"]>=300){ echo "<purple>".$aqiweather["aqindex"]."</purple>";}
else if($aqiweather["aqindex"] >=250){ echo "<deepred>".$aqiweather["aqindex"]."</deepred>";}
else if($aqiweather["aqindex"] >=150){ echo "<red>".$aqiweather["aqindex"]."</red>";}
else if($aqiweather["aqindex"] >=100){ echo "<orange>".$aqiweather["aqindex"]."</orange>";}
else if($aqiweather["aqindex"] >=50){ echo "<yellow>".$aqiweather["aqindex"]."</yellow>";}
else if($aqiweather["aqindex"] >=0){ echo "<green>".$aqiweather["aqindex"]."</green>";}
?>
<smalltempunit2></div></div>


<div class="almanac2"><div class="almanac-content">
<?php  //PM2.5 
echo "<valuetextheading1>Current PM2.5</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["pm25"]>=250.4){ echo "<purple>".number_format($aqiweather["pm25"],0)."</purple>";}
else if($aqiweather["pm25"] >=199.9){ echo "<deepred>".number_format($aqiweather["pm25"],0)."</deepred>";}
else if($aqiweather["pm25"] >=55.4){ echo "<red>".number_format($aqiweather["pm25"],1)."</red>";}
else if($aqiweather["pm25"] >35.4){ echo "<orange>".number_format($aqiweather["pm25"],1)."</orange>";}
else if($aqiweather["pm25"] >12){ echo "<yellow>".number_format($aqiweather["pm25"],1)."</yellow>";}
else if($aqiweather["pm25"] >=0){ echo "<green>".number_format($aqiweather["pm25"],1)."</green>";}
?><smalltempunit2></div></div>


<div class="almanac3"><div class="almanac-content">
<?php  //24 Hour EPA Average 
echo "<valuetextheading1>24 Hour EPA Average</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqi24h"]>=300){ echo "<purple>".$aqiweather["aqi24h"]."</purple></average24>";}
else if($aqiweather["aqi24h"] >=250){ echo "<deepred>".$aqiweather["aqi24h"]."</deepred></average24>";}
else if($aqiweather["aqi24h"] >=150){ echo "<red>".$aqiweather["aqi24h"]."</red></average24>";}
else if($aqiweather["aqi24h"] >=100){ echo "<orange>".$aqiweather["aqi24h"]."</orange></average24>";}
else if($aqiweather["aqi24h"] >=50){ echo "<yellow>".$aqiweather["aqi24h"]."</yellow></average24>";}
else if($aqiweather["aqi24h"] >=0){ echo "<green>".$aqiweather["aqi24h"]."</green></average24>";}
?><smalltempunit2></div></div>


<div class="almanac4"><div class="almanac-content">
<?php  //PM 10
echo "<valuetextheading1>Current PM10</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["pm10"]>=250.4){ echo "<purple>".$aqiweather["pm10"]."</purple>";}
else if($aqiweather["pm10"] >=199.4){ echo "<deepred>".$aqiweather["pm10"]."</deepred>";}
else if($aqiweather["pm10"] >=55.4){ echo "<red>".$aqiweather["pm10"]."</red>";}
else if($aqiweather["pm10"] >=35.4){ echo "<orange>".$aqiweather["pm10"]."</orange>";}
else if($aqiweather["pm10"] >=12){ echo "<yellow>".$aqiweather["pm10"]."</yellow>";}
else if($aqiweather["pm10"] >=0){ echo "<green>".$aqiweather["pm10"]."</green>";}
 ?>
</smalltempunit2></div></div>


<div class="almanac5"><div class="almanac-content">
<?php  //CO2
echo "<valuetextheading1>Current CO2</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["voc"] >=5000){ echo "<purple>".$aqiweather["voc"]."</purple>";}
else if($aqiweather["voc"] >=2000){ echo "<red>".$aqiweather["voc"]."</red>";}
else if($aqiweather["voc"] >=1500){ echo "<yellow>".$aqiweather["voc"]."</yellow>";}
else if($aqiweather["voc"] >0){ echo "<green>".$aqiweather["voc"]."</green>";}
else echo "N/A";
?><smalltempunit2></div></div>
</li>
<a href="https://canvasjs.com/" target="_blank" style="position:relative;background:0;box-shadow:none;margin-top:3px;">
<?php echo $canvasjs?>v2.3.1 GA (CC BY-NC 3.0) Non-Commercial-Version </a>
</ul>
</div></div>