<?php include('livedata.php');
$json  = file_get_contents("jsondata/purpleair.txt");
$array = json_decode($json, true);
for ($i = 0; $i < sizeof($array['results']); $i++) {
    $array['results'][$i]['Stats'] = json_decode($array['results'][$i]['Stats'], true);
}
$weather34pm25a    = $array['results'][0]['pm2_5_cf_1'];
$weather34pm25b    = $array['results'][1]['pm2_5_cf_1'];
$weather34pm10a    = $array['results'][0]['pm10_0_atm'];
$weather34pm10b    = $array['results'][1]['pm10_0_atm'];
$aqiweather["pm10"]      = $array['results'][1]['pm10_0_atm'];
$aqiweather["pm25"]      = $array['results'][1]['pm2_5_atm'];
$humidity = $array['results'][0]['humidity'];
$aqiweather["label"] = $array['results'][0]['Label'];
$aqiweather["positioned"] = $array['results'][0]['DEVICE_LOCATIONTYPE']; //indoor or outside
$aqiweather["voc"] = $array['results'][1]['Voc'];
$sensor24h  = $array['results'][0]['Stats']['v5'];
$sensor1h  = $array['results'][0]['Stats']['v3'];
$sensor6h  = $array['results'][0]['Stats']['v4'];
$aqiweather["aqi1h"] = number_format($sensor1h, 1);
$aqiweather["aqi6h"] = number_format($sensor6h, 1);
$aqiweather["time2"] = $array['results'][1]['LastSeen'];
$aqiweather["time"] = date($timeformat, $aqiweather["time2"]);
$aqiweather["aqi"]      = number_format(pm25_to_aqi(($weather34pm25a + $weather34pm25b) / 2), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h)), 1);
$aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
$aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($weather34pm10a)), 0);
$a = "";
if ($aqiweather["aqi"] == $a) {
    $aqiweather["aqi"] = "0";
}
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];

?>

<div class="weather34-boxescontainer" style="margin-top:-0.3rem">
    <div class="weather34-maxminboxes">
        <weather34-list style="width:max-content">
            <?php  //PM10 EPA
            if ($aqiweather["aqipm10"] >= 300) {
                echo '<purple>' . number_format($aqiweather["aqipm10"], 0) . '</purple><windunittabletmax>PM10</windunittabletmax>';
            } else if ($aqiweather["aqipm10"] >= 150) {
                echo '<red>' . number_format($aqiweather["aqipm10"], 0) . '</red><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 100) {
                echo '<orange>' . number_format($aqiweather["aqipm10"], 0) . '</orange><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 50) {
                echo '<yellow>' . $aqiweather["aqipm10"] . '</yellow><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 0) {
                echo '<green>' . $aqiweather["aqipm10"] . '</green><windunittabletmax>PM10</windunittabletmax>';
            }
            echo "<windunittabletdavg2>AQI EPA</windunittabletdavg2>";
            ?>
        </weather34-list>
    </div>

    <div class="weather34-maxminboxes">
        <weather34-list style="width:max-content">
            <?php
            //24 hour Average PM2.5 EPA
            if ($aqiweather["aqi24h"] >= 300) {
                echo '<purple>' . number_format($aqiweather["aqi24h"], 0) . '</purple><windunittabletmax>PM2.5</windunittabletmax>';
            } else if ($aqiweather["aqi24h"] >= 150) {
                echo '<red>' . number_format($aqiweather["aqi24h"], 0) . '</red><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 100) {
                echo '<orange>' . number_format($aqiweather["aqi24h"], 0) . '</orange><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 50) {
                echo '<yellow>' . $aqiweather["aqi24h"] . '</yellow><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 0) {
                echo '<green>' . $aqiweather["aqi24h"] . '</green><windunittabletmax>PM2.5</windunittabletmax>';
            }
            echo "<windunittabletdavg2>24 Hour Avg</windunittabletdavg2>";
            ?>
        </weather34-list>
    </div>

    <div class="weather34-maxminboxes">
        <weather34-list style="width:max-content;font-size:10px">
            <?php
            //health
            if ($aqiweather["aqi"] >= 300) {
                echo '<purple>Hazordous</purple>';
            } else if ($aqiweather["aqi"] >= 200) {
                echo '<icon-36-40>Very Unhealthy</icon-36-40>';
            } else if ($aqiweather["aqi"] >= 150) {
                echo '<red>Unhealthy</red>';
            } else if ($aqiweather["aqi"] >= 100) {
                echo '<orange>Caution</orange>';
            } else if ($aqiweather["aqi"] >= 50) {
                echo '<icon-16-20>Moderate</icon-16-20>';
            } else if ($aqiweather["aqi"] >= 0) {
                echo '<icon-6-10>Good</icon-6-10>';
            }
            echo "<windunittabletdavg2>Air Quality</windunittabletdavg2>";
            ?></weather34-list>
    </div>
</div>


<div class="todayssolarmax" style='position:relative;top:7px;left:55px'>
    <?php //trend
    if ($aqiweather["aqi"] < $aqiweather["aqi1h"]) {
        echo '<a data-tempsteady="Last Hour Improved';
    } else if ($aqiweather["aqi"] > $aqiweather["aqi1h"]) {
        echo '<a data-temprising="Last Hour Rising';
    } else echo '<a data-tempsteady="No Change';
    echo '">';
    //falling
    if ($aqiweather["aqi"] < $aqiweather["aqi1h"]) {
        echo $fallingtablet;
    }
    //rising
    else if ($aqiweather["aqi"] > $aqiweather["aqi1h"]) {
        echo $risingtablet;
    }
    //steady
    else echo $steadytablet;

    ?></a></div>



<div class="weather34caption" style="position:relative;top:-50px">Air Quality (EPA)</div>
</div>

<div class=sunratebar>
    <div class="weather34sunratebar" style="width:<?php
                                                    if ($aqiweather["aqi"] >= 300) {
                                                        echo $aqiweather["aqi"] * 0.3;
                                                    } else if ($aqiweather["aqi"] >= 200) {
                                                        echo $aqiweather["aqi"] * 0.35;
                                                    } else if ($aqiweather["aqi"] >= 100) {
                                                        echo $aqiweather["aqi"] * 0.45;
                                                    } else if ($aqiweather["aqi"] >= 50) {
                                                        echo $aqiweather["aqi"] * 0.6;
                                                    } else echo $aqiweather["aqi"] * 0.9; ?>
px;
background:<?php
            if ($aqiweather["aqi"] >= 300) {
                echo 'var(--purple)';
            } elseif ($aqiweather["aqi"] >= 250) {
                echo 'var(--red)';
            } elseif ($aqiweather["aqi"] >= 150) {
                echo 'var(--red)';
            } elseif ($aqiweather["aqi"] >= 100) {
                echo 'var(--orange)';
            } elseif ($aqiweather["aqi"] >= 50) {
                echo 'var(--yellow)';
            } elseif ($aqiweather["aqi"] > 0) {
                echo 'var(--green)';
            }
            ?>
;">
    </div>
</div>


<div class="button-dial-label-tablet" style="position:relative;top:-40px;margin-left:48px">   
<?php 
if ($aqiweather["aqi"]>=300 ){echo '<purple>'. number_format($aqiweather["aqi"],0).'</purple>';}
else if ($aqiweather["aqi"]>=200 ){echo '<red>'. number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=150 ){echo '<red>'.  number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=100 ){echo '<orange>'.  number_format($aqiweather["aqi"],0).'</orange>';}
else if ($aqiweather["aqi"]>=50 ){echo '<yellow>'. $aqiweather["aqi"].'</yellow>';}
else if ($aqiweather["aqi"]>=0 ){echo '<green>'. $aqiweather["aqi"].'</green>';}
echo "<smallunittablet4><windunittablet>PM 2.5</windunittablet></smallunittablet4></div>"; 
?>
</div></div></div>


<div class='chartdataicon' style="position:relative;margin-top:-40px;z-index:100">
    <a href='purple-air-almanac2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtablet ?></a>
</div>